### Method

# FwupdPlugin UdevDevice get_subsystem

since: 1.1.2

#### Declaration [src]

    const gchar*
    fu_udev_device_get_subsystem (
      FuUdevDevice* self
    )

#### Description [src]

Gets the device subsystem, e.g. `pci`

Available since: 1.1.2

Gets property | `FwupdPlugin.UdevDevice:subsystem`

#### Return value

Type: `const gchar*`

A subsystem, or NULL if unset or invalid.

The data is owned by the instance.
The value is a NUL terminated UTF-8 string.